#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int T;
    cin >> T;
    long long values[T][2];
    for(int i=0; i < T; ++i)
    {
        cin >> values[i][0] >> values[i][1];
    }
    
    for(int i=0; i < T; ++i)
    {
        bool found = false;
        long long d1=1;
        while(d1*d1 <= values[i][0])
        {
            if(values[i][0] % d1 == 0)
            {
                int d2 = values[i][0]/d1;
                if((d2 ^ d1) == values[i][1])
                {
                    cout << d1 << " " << d2 << "\n";
                    found = true;
                    break;
                }
            }
            ++d1;
        }
        if(!found)
        {
          cout << -1 << "\n";
        }
    }

    return 0;
}